1. Conversion
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
        • Get Fiat Account Application Status
        • Fiat Account Application Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
        • Create Fiat Withdrawal
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
        POST
      • Create Conversion
        POST
      • Get Quotation
        GET
      • Get Conversion
        GET
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Conversion

Conversion Webhook

Designing
Webhook
POST
Conversion Webhook
API Overview
ItemValue
API StatusRecommended
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
TypeWebhook (Incoming)
Description
To update conversion status.
This is a webhook endpoint that must be implemented by the recipient to receive these notifications.
Important:
You do not need to call this API; instead, you need to expose a public endpoint matching this specification.
Refer to the Webhook section for details on signature verification, retry policy, and security best practices.

Request

Authorization
Body Params application/json

Example
{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "conversionId": "string",
        "quotationId": "string",
        "participantCode": "string",
        "clientReference": "string",
        "sourceCurrency": "string",
        "destinationCurrency": "string",
        "price": "string",
        "sourceAmount": "string",
        "destinationAmount": "string",
        "status": 1,
        "createdAt": 0
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'Content-Type: application/json' \
--data-raw '{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "conversionId": "string",
        "quotationId": "string",
        "participantCode": "string",
        "clientReference": "string",
        "sourceCurrency": "string",
        "destinationCurrency": "string",
        "price": "string",
        "sourceAmount": "string",
        "destinationAmount": "string",
        "status": 1,
        "createdAt": 0
    }
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-04-02 07:32:36
Previous
Get Conversion
Next
[Deprecated] Upload File
Built with